post
/public_api/v1/xpanse_remediation_rules/rules/
Get the list of the remediation path rules associated with an attack surface rule.
Required License: Cortex Xpanse Expander + Active Response Module Add-On
Request headers
authorization
String
required
api-key
api-key
Example:
{{api_key}}
x-xdr-auth-id
String
required
api-key-id
api-key-id
Example:
{{api_key_id}}
CLIENT REQUEST
curl -X 'POST'
-H
'Accept: application/json'
-H
'Content-Type: application/json'
-H
'authorization: {{api_key}}'
-H
'x-xdr-auth-id: {{api_key_id}}'
'https://api-}/public_api/v1/xpanse_remediation_rules/rules/'
-d
'{
"request_data" : {
"search_from" : 0,
"filters" : [ {
"field" : "attack_surface_rule_id",
"value" : "value",
"operator" : "neq"
}, {
"field" : "attack_surface_rule_id",
"value" : "value",
"operator" : "neq"
} ],
"sort" : "",
"search_to" : 0
}
}'
import http.client
conn = http.client.HTTPSConnection("api-")
payload = "{\"request_data\":{\"filters\":[{\"field\":\"attack_surface_rule_id\",\"operator\":\"neq\",\"value\":\"string\"}],\"sort\":{\"field\":\"created_at\",\"keyword\":\"ASC\"},\"search_from\":0,\"search_to\":500}}"
headers = {
'authorization': "{{api_key}}",
'x-xdr-auth-id': "{{api_key_id}}",
'content-type': "application/json"
}
conn.request("POST", "%7B%7Bfqdn%7D%7D/public_api/v1/xpanse_remediation_rules/rules/", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/xpanse_remediation_rules/rules/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Post.new(url)
request["authorization"] = '{{api_key}}'
request["x-xdr-auth-id"] = '{{api_key_id}}'
request["content-type"] = 'application/json'
request.body = "{\"request_data\":{\"filters\":[{\"field\":\"attack_surface_rule_id\",\"operator\":\"neq\",\"value\":\"string\"}],\"sort\":{\"field\":\"created_at\",\"keyword\":\"ASC\"},\"search_from\":0,\"search_to\":500}}"
response = http.request(request)
puts response.read_bodyconst data = JSON.stringify({
"request_data": {
"filters": [
{
"field": "attack_surface_rule_id",
"operator": "neq",
"value": "string"
}
],
"sort": {
"field": "created_at",
"keyword": "ASC"
},
"search_from": 0,
"search_to": 500
}
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("POST", "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/xpanse_remediation_rules/rules/");
xhr.setRequestHeader("authorization", "{{api_key}}");
xhr.setRequestHeader("x-xdr-auth-id", "{{api_key_id}}");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);HttpResponse<String> response = Unirest.post("https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/xpanse_remediation_rules/rules/")
.header("authorization", "{{api_key}}")
.header("x-xdr-auth-id", "{{api_key_id}}")
.header("content-type", "application/json")
.body("{\"request_data\":{\"filters\":[{\"field\":\"attack_surface_rule_id\",\"operator\":\"neq\",\"value\":\"string\"}],\"sort\":{\"field\":\"created_at\",\"keyword\":\"ASC\"},\"search_from\":0,\"search_to\":500}}")
.asString();import Foundation
let headers = [
"authorization": "{{api_key}}",
"x-xdr-auth-id": "{{api_key_id}}",
"content-type": "application/json"
]
let parameters = ["request_data": [
"filters": [
[
"field": "attack_surface_rule_id",
"operator": "neq",
"value": "string"
]
],
"sort": [
"field": "created_at",
"keyword": "ASC"
],
"search_from": 0,
"search_to": 500
]] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/xpanse_remediation_rules/rules/")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/xpanse_remediation_rules/rules/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\"request_data\":{\"filters\":[{\"field\":\"attack_surface_rule_id\",\"operator\":\"neq\",\"value\":\"string\"}],\"sort\":{\"field\":\"created_at\",\"keyword\":\"ASC\"},\"search_from\":0,\"search_to\":500}}",
CURLOPT_HTTPHEADER => [
"authorization: {{api_key}}",
"content-type: application/json",
"x-xdr-auth-id: {{api_key_id}}"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/xpanse_remediation_rules/rules/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "authorization: {{api_key}}");
headers = curl_slist_append(headers, "x-xdr-auth-id: {{api_key_id}}");
headers = curl_slist_append(headers, "content-type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"request_data\":{\"filters\":[{\"field\":\"attack_surface_rule_id\",\"operator\":\"neq\",\"value\":\"string\"}],\"sort\":{\"field\":\"created_at\",\"keyword\":\"ASC\"},\"search_from\":0,\"search_to\":500}}");
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/xpanse_remediation_rules/rules/");
var request = new RestRequest(Method.POST);
request.AddHeader("authorization", "{{api_key}}");
request.AddHeader("x-xdr-auth-id", "{{api_key_id}}");
request.AddHeader("content-type", "application/json");
request.AddParameter("application/json", "{\"request_data\":{\"filters\":[{\"field\":\"attack_surface_rule_id\",\"operator\":\"neq\",\"value\":\"string\"}],\"sort\":{\"field\":\"created_at\",\"keyword\":\"ASC\"},\"search_from\":0,\"search_to\":500}}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);Body parameters
required
request_dataobject
filtersarray
sortobject
fieldstring (Enum)
keywordstring (Enum)
Free-Form objectsearch_frominteger
search_tointeger
Free-Form objectFree-Form object
application/json
request_dataobjectA dictionary containing the API request fields.
A dictionary containing the API request fields.
filtersarrayArray of filter fields. Each JSON object must contain the following:
- field
- operator
- value
Array of filter fields. Each JSON object must contain the following:
- field
- operator
- value
[fieldstring (Enum)
operatorstring (Enum)
valuestring
Free-Form object]
fieldstring (Enum)String that identifies the attack surface rule field for filtering.
String that identifies the attack surface rule field for filtering.
Allowed values:"attack_surface_rule_id"
operatorstring (Enum)Identifies the comparison operator to use for this filter. Valid keywords are
eq
neq
Identifies the comparison operator to use for this filter. Valid keywords are
eqneq
Allowed values:"neq""eq"
valuestringValue that the filter must match. Value must be the following:
{attack_surface_rule_id}: String of the attack surface rule to filter on
Value that the filter must match. Value must be the following:
{attack_surface_rule_id}: String of the attack surface rule to filter on
sortobjectIdentifies the sort order for the result set. By default, the sort is defined as created_at, DESC.
Identifies the sort order for the result set. By default, the sort is defined as created_at, DESC.
fieldstring (Enum)Sorting based on the created_at field is supported.
Sorting based on the created_at field is supported.
Default:
"created_at"Allowed values:"created_at"
keywordstring (Enum)Sort order can be one of the following values:
ASC: ascending order
DESC: descending order
Sort order can be one of the following values:
ASC: ascending orderDESC: descending order
Default:
"desc"Allowed values:"ASC""asc""DESC""desc"
search_frominteger
search_tointeger
Default:
500REQUEST
{
"request_data": {
"filters": [
{
"field": "attack_surface_rule_id",
"operator": "neq",
"value": "example"
}
],
"sort": {
"field": "created_at",
"keyword": "ASC"
},
"search_from": 0,
"search_to": 0
}
}Responses